## kwallet-kf5 5.3.0

=== debian/changelog ===
kwallet-kf5 (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:18:45 +0100

kwallet-kf5 (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:49:48 +0200

kwallet-kf5 (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Removed patches applied upstream. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:25:49 +0200

kwallet-kf5 (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release
  * Add patches recommended by upstream:
    - upstream_default-choice.diff
    - upstream_first-use-logic.diff
    - upstream_first-use-name.diff

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 22 Jul 2014 16:07:20 +0200
