## kwallet-kf5 5.15.0

=== debian/changelog ===
kwallet-kf5 (5.15.0-0ubuntu2) wily; urgency=medium

  * Add upstream_initialize-socket-size-with-correct-value.patch to resolve a
    rather impactful error where kwalletd5, when started through the PAM,
    would fail to communicate with its environment socket and thus end up with
    a night empty environment rendering the daemon broken.
    The patch has been refreshed on top of 5.15 as git master has additional
    changes.
    https://bugs.kde.org/show_bug.cgi?id=351805

 -- Harald Sitter <sitter@kde.org>  Wed, 21 Oct 2015 07:41:12 +0200

kwallet-kf5 (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:57:35 +0100

kwallet-kf5 (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:27:35 +0100

kwallet-kf5 (5.13.0-0ubuntu2) wily; urgency=medium

  * Add upstream_Stop-showing-the-migration-wizard-by-default.patch to disable
    the migration wizard dialog. Migration is in fact a non-destructive
    import, so it can savely be run without any user input. This prevents
    contextless kwallet dialogs on first login as well as first kwallet5
    enabled logins (prequisite for pam unlocking experience)

 -- Harald Sitter <sitter@kde.org>  Mon, 24 Aug 2015 13:00:08 +0200

kwallet-kf5 (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:33:17 +0200

kwallet-kf5 (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge.

  [ José Manuel Santamaría Lema ]
  * Update installed files.

  [ Scarlett Clark ]
  * Add above patch. 
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:10:25 +0200

kwallet-kf5 (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 20:36:24 +0200

kwallet-kf5 (5.10.0-0ubuntu2) wily; urgency=medium

  * libkf5wallet-data Breaks/Replaces libkf5wallet5 (<< 5.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 08 Jun 2015 11:06:38 +0200

kwallet-kf5 (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:38:22 +0200

kwallet-kf5 (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:09 +0200

kwallet-kf5 (5.9.0-0ubuntu1.1) vivid; urgency=medium

  * Add upstream_check-empty-wallet-migration.diff LP: #1434052

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Apr 2015 15:28:12 +0200

kwallet-kf5 (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:39:06 +0100

kwallet-kf5 (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:55 +0100

kwallet-kf5 (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Split -data package and update install files.
  * Update watch file.
  * Add acc autopkgtests.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Jan 2015 09:05:21 +0100
