=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kdoctools-dev,
+               extra-cmake-modules (>= 5.18.0~),
+               kdoctools-dev (>= 5.18.0~),
+               libboost-dev,
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme11-dev,
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5dbusaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5notifications-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
-               libkf5windowsystem-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5gpgmepp-dev (>= 15.08.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5notifications-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kwallet
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kwallet.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwallet.git
@@ -29,9 +30,9 @@
 Package: libkf5wallet-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.15.0~),
+Depends: libkf5config-dev (>= 5.16.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.15.0~),
+         libkf5windowsystem-dev (>= 5.16.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
@@ -47,7 +48,7 @@
 Breaks: libkf5wallet5 (<< 4.100.0)
 Replaces: libkf5wallet5 (<< 4.100.0)
 Description: Secure and unified container for user passwords.
- Interface to KWallet, the safe desktop-wide storage
+ Runtime for interface to KWallet, the safe desktop-wide storage
  for passwords on KDE workspaces.
  .
  Contains the runtime files for kwallet-framework
@@ -58,7 +59,6 @@
          libkwalletbackend5-5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: libkf5wallet-bin (= ${binary:Version})
 Multi-Arch: same
 Description: Secure and unified container for user passwords.
  Interface to KWallet, the safe desktop-wide storage
@@ -79,7 +79,6 @@
 Package: libkwalletbackend5-5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libkf5wallet-bin (= ${binary:Version})
 Multi-Arch: same
 Description: Secure and unified container for user passwords.
  Backend to KWallet, the safe desktop-wide storage
