## kwallet-kf5 5.26.0

=== debian/changelog ===
kwallet-kf5 (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:50:13 +0100

kwallet-kf5 (5.24.0-0ubuntu2) yakkety; urgency=medium

  * Disable tests for powerpc and s390x that fail.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 27 Jul 2016 10:54:23 +0300

kwallet-kf5 (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:46:40 +0000

kwallet-kf5 (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:17:58 +0200

kwallet-kf5 (5.22.0a-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad
  * Don't complain about symbol dependency 

  [ Clive Johnston ]
  * New upstream release
  * Using respun tarball from KDE Depot

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:39:03 -0700

kwallet-kf5 (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:28 +0100

kwallet-kf5 (5.19.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Fixing install file

 -- Clive Johnston <clivejo@aol.com>  Thu, 25 Feb 2016 19:38:34 +0000

kwallet-kf5 (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:20 +0100
