=== debian/control ===
--- 
+++ 
@@ -5,34 +5,34 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kdoctools-dev (>= 5.18.0~),
-               libboost-dev,
+               extra-cmake-modules (>= 5.26.0~),
+               kdoctools-dev (>= 5.26.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme11-dev,
-               libkf5config-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5gpgmepp-dev (>= 15.08.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5notifications-dev (>= 5.18.0~),
-               libkf5service-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
-               libkf5windowsystem-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.26.0~),
+               libkf5configwidgets-dev (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
+               libkf5dbusaddons-dev (>= 5.26.0~),
+               libkf5gpgmepp-dev,
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5iconthemes-dev (>= 5.26.0~),
+               libkf5notifications-dev (>= 5.26.0~),
+               libkf5service-dev (>= 5.26.0~),
+               libkf5widgetsaddons-dev (>= 5.26.0~),
+               libkf5windowsystem-dev (>= 5.26.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kwallet
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kwallet.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kwallet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
 
 Package: libkf5wallet-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.16.0~),
+Depends: libkf5config-dev (>= 5.26.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.16.0~),
+         libkf5windowsystem-dev (>= 5.26.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
@@ -83,17 +83,3 @@
 Description: Secure and unified container for user passwords.
  Backend to KWallet, the safe desktop-wide storage
  for passwords on KDE workspaces.
-
-Package: libkf5wallet5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libkf5wallet5 (= ${binary:Version}),
-         libkwalletbackend5-5 (= ${binary:Version}),
-         ${misc:Depends}
-Multi-Arch: same
-Description: debug symbols for kwallet-framework
- Interface to KWallet, the safe desktop-wide storage
- for passwords on KDE workspaces.
- .
- Contains debug symbols for kwallet-framework.
