=== debian/changelog ===
kwallet-kf5 (5.28.0-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use unversioned libboost-dev build-dep.

 -- Sandro Knauß <hefee@debian.org>  Wed, 28 Dec 2016 18:52:52 +0100

kwallet-kf5 (5.28.0-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add signature verification for uscan.
  * Build against gpgme>=1.8.0, to get rid of gpgmepp.
    - Update Build-Deps (libboost1.61-dev, libgpgme-dev, libgpgmepp-dev).
    - Update symbol files (new templinst symbols).

 -- Sandro Knauß <hefee@debian.org>  Sat, 03 Dec 2016 12:58:58 +0100

kwallet-kf5 (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.27.0-1).

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:05:36 +0100

kwallet-kf5 (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:04:56 +0200

kwallet-kf5 (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:01:20 +0200

kwallet-kf5 (5.25.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Fix previous upload
  * Bump group breaks (5.25)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 12:56:12 +0200

kwallet-kf5 (5.23.0-3) unstable; urgency=medium

  * Fix previous upload.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 17 Jul 2016 17:23:18 +0200

kwallet-kf5 (5.23.0-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add new patch: blowfish_endianess.diff (Closes: 828160)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Sat, 16 Jul 2016 17:38:44 +0200

kwallet-kf5 (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.22.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 22:43:10 +0200

kwallet-kf5 (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update symbols files with the buildds logs (5.19.0-1)
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 May 2016 08:57:10 +0200
