=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://download.kde.org/stable/frameworks/([\d.]+)/kwallet-([\d.]+)\.tar\.xz
